const express = require('express')
const router = express.Router()
const {getAllUsers,getAllContacts,deleteUsers,getUsersById,updateUsers,deleteContacts,getAllServices, getServicesById, createServices, deleteServices, updateServices} = require('../controllers/admin')
const authMiddleware   = require('../middlewares/auth-middleware')
const adminMiddleware = require('../middlewares/admin-middleware')

router.get('/users',authMiddleware,adminMiddleware,getAllUsers)
router.get('/users/:id',authMiddleware,adminMiddleware,getUsersById)
router.get('/contacts',authMiddleware,adminMiddleware,getAllContacts)
router.delete('/contacts/delete/:id',authMiddleware,adminMiddleware,deleteContacts)
router.delete('/users/delete/:id',authMiddleware,adminMiddleware,deleteUsers)
router.patch('/users/update/:id',authMiddleware,adminMiddleware,updateUsers)
router.get('/services',authMiddleware,adminMiddleware,getAllServices)
router.get('/services/:id',authMiddleware,adminMiddleware,getServicesById)
router.post('/services/create',authMiddleware,adminMiddleware,createServices)
router.delete('/services/delete/:id',authMiddleware,adminMiddleware,deleteServices)
router.patch('/services/update/:id',authMiddleware,adminMiddleware,updateServices)
module.exports=router